#!/bin/bash

_term() {
  echo "Caught SIGTERM signal!"
    /sbin/ip route del {{ smtp_anycast_service_ip }}/32 dev lo > /dev/null
  /bin/sleep 3
  exit 0
#  kill -TERM "$child" 2>/dev/null
}

trap _term SIGTERM

# Check health for exim daemon

while true
do
  if /usr/bin/systemctl is-active --quiet exim;
then
  if ! /sbin/ip route | grep {{ smtp_anycast_service_ip }} | grep -v src > /dev/null ; then
    /sbin/ip route add {{ smtp_anycast_service_ip }}/32 dev lo > /dev/null
  fi
else
  if /sbin/ip route | grep {{ smtp_anycast_service_ip }} > /dev/null ; then
    /sbin/ip route del {{ smtp_anycast_service_ip }}/32 dev lo > /dev/null
  fi
fi
sleep 2
done

wait $!
